clang 10.0.0git

Public Attributes | List of all members
clang::transformer::detail::Transformation Struct Reference

A source "transformation," represented by a character range in the source to be replaced and a corresponding replacement string. More...

`#include "clang/Tooling/Transformer/RewriteRule.h"`

Collaboration diagram for clang::transformer::detail::Transformation:
[legend]

## Public Attributes
CharSourceRange | Range
std::string | Replacement

## Detailed Description

A source "transformation," represented by a character range in the source to be replaced and a corresponding replacement string.

Definition at line 265 of file RewriteRule.h.

## Member Data Documentation

## ◆ Range

CharSourceRange clang::transformer::detail::Transformation::Range

Definition at line 266 of file RewriteRule.h.

Referenced by clang::transformer::detail::translateEdits().

## ◆ Replacement

std::string clang::transformer::detail::Transformation::Replacement

Definition at line 267 of file RewriteRule.h.

Referenced by clang::transformer::detail::translateEdits().

The documentation for this struct was generated from the following file:

- include/clang/Tooling/Transformer/RewriteRule.h